/*arrow button accueil*/

.btn-white button {
    cursor: pointer;
    background: none;
    border: none;
    display: inline-flex;
    flex-direction: column;
    width: 70px;
    gap: 4px;
    margin-bottom: 20px !important;
  }
  
  .btn-white:hover {
    animation: move 2s infinite ease;
  }
  
  @keyframes move {
    0% {
      transform: translateX(0);
    }
  
    50% {
      transform: translateX(20px);
    }
  
    100% {
      transform: translateX(0);
    }
  }
  
  .btn-white .round {
    width: 6px;
    height: 6px;
    background: #fff;
    border-radius: 50%;
    transition: all .3s ease !important;
  }

  .btn-white:hover .round {
    background: #E20613;
  }
  
  .btn-white .line {
    display: flex;
    gap: 4px;
  }
  
  .btn-white .two {
    transform: translateX(10px);
  }
  
  .btn-white .three {
    transform: translateX(20px);
  }
  
  .btn-white .four {
    transform: translateX(30px);
  }
  
  .btn-white .five {
    transform: translateX(20px);
  }
  
  .btn-white .six {
    transform: translateX(10px);
  }



  /*button vers nos realisations accueil*/

  .socobutton button {
    padding: 0;
    margin: 0;
    border: none;
    background: none;
  }
  
  .socobutton button {
    --primary-color: #111;
    --hovered-color: #e20317;
    font-family: "degular", sans-serif; 
    position: relative;
    display: flex;
    gap: 0.5rem;
    align-items: center;
  }
  
  .socobutton button p {
    margin: 0;
    position: relative;
    font-size: 20px;
    color: var(--primary-color)
  }
  
  .socobutton button::after {
    position: absolute;
    content: "";
    width: 0;
    left: 0;
    bottom: -7px;
    background: var(--hovered-color);
    height: 2px;
    transition: 0.3s ease-out;
  }
  
  .socobutton button p::before {
    position: absolute;
  /*   box-sizing: border-box; */
    content: "Nos réalisations";
    width: 0%;
    inset: 0;
    color: var(--hovered-color);
    overflow: hidden;
    transition: 0.3s ease-out;
  }
  
  .socobutton button:hover::after {
    width: 100%;
  }
  
  .socobutton button:hover p::before {
    width: 100%;
  }
  
  .socobutton button:hover svg {
    transform: translateX(4px);
    color: var(--hovered-color)
  }
  
  .socobutton button svg {
    color: var(--primary-color);
    transition: 0.2s;
    position: relative;
    width: 15px;
    transition-delay: 0.2s;
  }